public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Patrice Clement" <monsieurp@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-java/jflex/
Date: Thu, 13 Aug 2015 14:46:53 +0000 (UTC)	[thread overview]
Message-ID: <1439480824.972b7dc20eee540c55339267081591e60bc2a7eb.monsieurp@gentoo> (raw)

commit:     972b7dc20eee540c55339267081591e60bc2a7eb
Author:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
AuthorDate: Thu Aug 13 15:16:39 2015 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Thu Aug 13 15:47:04 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=972b7dc2

dev-java/jflex: reset SLOT to 0 and update dependency on dev-java/javacup to use the latest version. Fixes bug 557292.

Package-Manager: portage-2.2.18
Signed-off-by: Patrice Clement <monsieurp <AT> gentoo.org>

 dev-java/jflex/jflex-1.6.0-r1.ebuild | 90 ++++++++++++++++++++++++++++++++++++
 1 file changed, 90 insertions(+)

diff --git a/dev-java/jflex/jflex-1.6.0-r1.ebuild b/dev-java/jflex/jflex-1.6.0-r1.ebuild
new file mode 100644
index 0000000..826102a
--- /dev/null
+++ b/dev-java/jflex/jflex-1.6.0-r1.ebuild
@@ -0,0 +1,90 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+JAVA_PKG_IUSE="doc source examples"
+
+inherit java-pkg-2 java-ant-2
+
+DESCRIPTION="JFlex is a lexical analyzer generator for Java"
+HOMEPAGE="http://www.jflex.de/"
+SRC_URI="http://${PN}.de/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86 ~amd64-fbsd ~ppc-macos ~x64-macos ~x86-macos"
+
+CDEPEND="dev-java/ant-core:0
+	>=dev-java/javacup-0.11b_beta20150326:0
+	dev-java/junit:0"
+
+RDEPEND=">=virtual/jre-1.6
+	vim-syntax? ( || ( app-editors/vim app-editors/gvim ) )
+	${CDEPEND}"
+
+DEPEND=">=virtual/jdk-1.6
+	${CDEPEND}"
+
+IUSE="${JAVA_PKG_IUSE} source vim-syntax"
+
+java_prepare() {
+	# use a more convenient version number
+	sed -i s:"\(name=\"version\" value=\"\)[^\"]*\"":"\1${PV}\"":g build.xml
+	# fix bootstrapping
+	sed -i s:"\(name=\"bootstrap.version\" value=\"\)[^\"]*\"":"\1${PV}\"":g \
+		build.xml
+	# add javadoc capability to build.xml
+	sed -i s,"\(</project>\)",\
+"\n  <target depends=\"compile\" name=\"javadoc\">\n    <javadoc \
+packagenames=\"jflex\" sourcepath=\"src/main/java:build/generated-\
+sources\" destdir=\"javadoc\" version=\"true\" />\n  </target>\n\1",g \
+		build.xml
+}
+
+# TODO: Try to avoid using bundled jar (See bug #498874)
+#
+# Currently, this package uses an included JFlex.jar file to bootstrap.
+# Upstream was contacted and this bootstrap is really needed. The only way to
+# avoid it would be to use a supplied pre-compiled .scanner file.
+
+EANT_GENTOO_CLASSPATH="ant-core"
+EANT_GENTOO_CLASSPATH_EXTRA="lib/${P}.jar"
+JAVA_ANT_REWRITE_CLASSPATH="true"
+WANT_ANT_TASKS="javacup"
+
+src_compile() {
+	java-pkg-2_src_compile
+
+	# Compile another time, using our generated jar; for sanity.
+	cp build/${P}.jar ${EANT_GENTOO_CLASSPATH_EXTRA}
+	java-pkg-2_src_compile
+}
+
+# EANT_TEST_GENTOO_CLASSPATH doesn't support EANT_GENTOO_CLASSPATH_EXTRA yet.
+RESTRICT="test"
+
+src_test() {
+	java-pkg-2_src_test
+}
+
+src_install() {
+	java-pkg_newjar build/${P}.jar ${PN}.jar
+	java-pkg_dolauncher "${PN}" --main jflex.Main
+	java-pkg_register-ant-task
+
+	if use doc ; then
+		dodoc doc/manual.pdf changelog.md
+		dohtml -r doc/*
+		java-pkg_dojavadoc javadoc
+	fi
+
+	use examples && java-pkg_doexamples examples
+	use source && java-pkg_dosrc src/main
+
+	if use vim-syntax; then
+		insinto /usr/share/vim/vimfiles/syntax
+		doins "${S}/lib/${PN}.vim"
+	fi
+}


             reply	other threads:[~2015-08-13 14:46 UTC|newest]

Thread overview: 25+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2015-08-13 14:46 Patrice Clement [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-28 14:03 [gentoo-commits] repo/gentoo:master commit in: dev-java/jflex/ Arthur Zamarin
2024-08-30 11:06 Arthur Zamarin
2024-06-24  4:46 Sam James
2024-06-24  4:46 Sam James
2024-06-24  4:46 Sam James
2024-05-25  9:21 Miroslav Šulc
2024-05-25  9:21 Miroslav Šulc
2024-04-17  9:13 Miroslav Šulc
2021-11-11 11:02 Miroslav Šulc
2021-11-11 10:56 Jakov Smolić
2021-05-16 19:36 Sam James
2021-03-16 20:24 Sam James
2021-03-16 20:19 Sam James
2021-03-16 10:22 Miroslav Šulc
2020-05-17 16:55 Aaron Bauman
2019-05-18  1:14 Aaron Bauman
2017-07-13  7:48 Alexis Ballier
2016-04-24 20:17 James Le Cuirot
2016-04-24 20:17 James Le Cuirot
2015-11-22 21:37 James Le Cuirot
2015-10-01  8:39 Patrice Clement
2015-10-01  8:39 Patrice Clement
2015-08-13 18:04 Patrice Clement
2015-08-11  8:59 Patrice Clement

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1439480824.972b7dc20eee540c55339267081591e60bc2a7eb.monsieurp@gentoo \
    --to=monsieurp@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox